Bug 68123 - /etc/init.d/halt does not power off with genericups driver from nut
Summary: /etc/init.d/halt does not power off with genericups driver from nut
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-06 18:32 UTC by Yuriy Osmerkin
Modified: 2014-03-17 02:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-06 18:32:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yuriy Osmerkin 2002-07-06 18:32:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
genericups driver from nut package called in /etc/init.d/halt without parameter
"-t". This prevent switch off power.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure nut with genericups driver.
2. Switch off UPS power.
3. Wait for "low power" and shutdown.
	

Actual Results:  Power is not switch off.

Expected Results:  Power is off.

Additional info:

Fix:
replace string in /etc/init.d/halt
... && $MODEL -k $DEVICE
with
... && $MODEL $OPTIONS -k $DEVICE

Comment 1 Florian La Roche 2002-07-09 20:43:07 UTC
I have fixed this in our internal cvs version, should be part of the
next release.

Thanks a lot,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.